#ifndef _PLUGIN_H
#define _PLUGIN_H

typedef struct playerdata_s
{
	char szAddress[128];
	float flConnectionTime;

	int iScore;
	int iFrags;
	int iDeaths;
	int iPlayerClass;
	int iIconInfo;
	int iTeam;

} playerdata_t;

extern playerdata_t PlayerData[33];
extern bool g_bRegMsg;
extern int gmsgScoreInfo;
extern int gmsgCountdown;



extern bool UTIL_IsPlayerValid(edict_t* pPlayer);

inline unsigned short FixedUnsigned16( float value, float scale )
{
	int output;
	
	output = (int)(value * scale);
	if ( output < 0 )
		output = 0;
	if ( output > 0xFFFF )
		output = 0xFFFF;
	
	return (unsigned short)output;
}

inline short FixedSigned16( float value, float scale )
{
	int output;
	
	output = (int)(value * scale);
	
	if ( output > 32767 )
		output = 32767;
	
	if ( output < -32768 )
		output = -32768;
	
	return (short)output;
}

inline void SAFE_USER_MSG(int &gmsgvar, const char *szMsgName, const int &iSize) {
	if(gmsgvar == 0) 
	{
		//attempt to get the msg from the game that's running
		gmsgvar = GET_USER_MSG_ID( &Plugin_info, szMsgName, NULL);
		
		//and if that fails, register it ourselves
		if(gmsgvar == 0) gmsgvar = REG_USER_MSG(szMsgName, iSize);
	}
}

#endif

