// vi: set ts=4 sw=4 :
// vim: set tw=75 :

// games.h - list of supported game mods and their data

/*
 * Copyright (c) 2001-2003 Will Day <willday@hpgx.net>
 *
 *    This file is part of Metamod.
 *
 *    Metamod is free software; you can redistribute it and/or modify it
 *    under the terms of the GNU General Public License as published by the
 *    Free Software Foundation; either version 2 of the License, or (at
 *    your option) any later version.
 *
 *    Metamod is distributed in the hope that it will be useful, but
 *    WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with Metamod; if not, write to the Free Software Foundation,
 *    Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *    In addition, as a special exception, the author gives permission to
 *    link the code of this program with the Half-Life Game Engine ("HL
 *    Engine") and Modified Game Libraries ("MODs") developed by Valve,
 *    L.L.C ("Valve").  You must obey the GNU General Public License in all
 *    respects for all of the code used other than the HL Engine and MODs
 *    from Valve.  If you modify this file, you may extend this exception
 *    to your version of the file, but you are not obligated to do so.  If
 *    you do not wish to do so, delete this exception statement from your
 *    version.
 *
 */

// This list is now kept in a separate file to facilitate generating the
// list from game data stored in a convenient db.


	{"action",	"ahl_i386.so",	"ahl.dll",	"Action Half-Life"},
	{"ag",	"hl_i386.so",	"hl.dll",	"Adrenalinegamer 3.x"},
	{"aghl",	"ag_i386.so",	"ag.dll",	"Adrenalinegamer 4.x"},
	{"arg",	"arg_i386.so",	"hl.dll",	"Arg!"},
	{"asheep",	"hl_i386.so",	"hl.dll",	"Azure Sheep"},
	{"bg",	"bg_i386.so",	"bg.dll",	"The Battle Grounds"},
	{"bot",	"bot_i386.so",	"bot.dll",	"Bot"},
	{"bumpercars",	"hl_i386.so",	"hl.dll",	"Bumper Cars"},
	{"buzzybots",	"bb_i386.so",	"bb.dll",	"BuzzyBots"},
	{"cs13",	"cs_i386.so",	"mp.dll",	"Counter-Strike 1.3"},
	{"cstrike",	"cs_i386.so",	"mp.dll",	"Counter-Strike"},
	{"czero",	"cs_i386.so",	"mp.dll",	"Counter-Strike:Condition Zero"},
	{"dcrisis",	"dc_i386.so",	"dc.dll",	"Desert Crisis"},
	{"dmc",	"dmc_i386.so",	"dmc.dll",	"Deathmatch Classic"},
	{"dod",	"dod_i386.so",	"dod.dll",	"Day of Defeat"},
	{"dpb",	"pb_i686.so",	"pb.dll",	"Digital Paintball"},
	{"dragonmodz",	"hl_i386.so",	"mp.dll",	"Dragon Mod Z"},
	{"esf",	"hl_i386.so",	"hl.dll",	"Earth's Special Forces"},
	{"existence",	"ex_i386.so",	"existence.dll",	"Existence"},
	{"firearms",	"fa_i386.so",	"firearms.dll",	"Firearms"},
	{"firearms25",	"fa_i386.so",	"firearms.dll",	"Retro Firearms"},
	{"freeze",	"mp_i386.so",	"mp.dll",	"Freeze"},
	{"frontline",	"front_i386.so",	"frontline.dll",	"Frontline Force"},
	{"gangstawars",	"gansta_i386.so",	"hl.dll",	"GangstaWars"},
	{"gangwars",	"mp_i386.so",	"mp.dll",	"Gangwars"},
	{"gearbox",	"opfor_i386.so",	"opfor.dll",	"Opposing Force"},
	{"globalwarfare",	"gw_i386.so",	"mp.dll",	"Global Warfare"},
	{"goldeneye",	"golden_i386.so",	"mp.dll",	"Goldeneye"},
	{"hlrally",	"hlr_i386.so",	"hlrally.dll",	"HL-Rally"},
	{"holywars",	"hl_i386.so",	"holywars.dll",	"Holy Wars"},
	{"hostileintent", "hl_i386.so", "hl.dll",   "Hostile Intent"},
	{"ios",	"ios_i386.so",	"ios.dll",	"International Online Soccer"},
	{"judgedm",	"judge_i386.so",	"mp.dll",	"Judgement"},
	{"kanonball",	"hl_i386.so",	"kanonball.dll",	"Kanonball"},
	{"monkeystrike",	"ms_i386.so",	"monkey.dll",	"Monkeystrike"},
	{"MorbidPR",	"morbid_i386.so",	"morbid.dll",	"Morbid Inclination"},
	{"ns",	"ns_i386.so",	"ns.dll",	"Natural Selection"},
	{"nsp", "ns_i386.so",   "ns.dll",   "Natural Selection Beta"},
	{"oel",	"hl_i386.so",	"hl.dll",	"OeL Half-Life"},
	{"og",	"og_i386.so",	"og.dll",	"Over Ground"},
	{"ol",	"ol_i386.so",	"hl.dll",	"Outlawsmod"},
	{"osjb",	"osjb_i386.so",	"jail.dll",	"Open-Source Jailbreak"},
	{"oz",	"mp_i386.so",	"mp.dll",	"Oz Deathmatch"},
	{"paintball",	"pb_i386.so",	"mp.dll",	"Paintball"},
	{"penemy",	"pe_i386.so",	"pe.dll",	"Public Enemy"},
	{"phineas",	"phineas_i386.so",	"phineas.dll",	"Phineas Bot"},
	{"ponreturn",	"ponr_i386.so",	"mp.dll",	"Point of No Return"},
	{"retrocs",	"rcs_i386.so",	"rcs.dll",	"Retro Counter-Strike"},
	{"rewolf",	"hl_i386.so",	"gunman.dll",	"Gunman Chronicles"},
	{"ricochet",	"ricochet_i386.so",	"mp.dll",	"Ricochet"},
	{"rockcrowbar",	"rc_i386.so",	"rc.dll",	"Rocket Crowbar"},
	{"rc2",	"rc2_i386.so",	"rc2.dll",	"Rocket Crowbar 2"},
	{"rspecies",	"hl_i386.so",	"hl.dll",	"Rival Species"},
	{"scihunt",	"shunt.so",	"shunt.dll",	"Scientist Hunt"},
	{"si",	"si_i386.so",	"si.dll",	"Science & Industry"},
	{"snow",	"hl_i386.so",	"snow.dll",	"Snow-War"},
	{"stargatetc",	"hl_i386.so",	"hl.dll",	"StargateTC"},
	{"svencoop",	"hl_i386.so",	"hl.dll",	"Sven Coop"},
	{"swarm",	"swarm_i386.so",	"swarm.dll",	"Swarm"},
	{"tfc",	"tfc_i386.so",	"tfc.dll",	"Team Fortress Classic"},
	{"thewastes",	"thewastes_i386.so",	"thewastes.dll",	"The Wastes"},
	{"timeless",	"pt_i386.so",	"timeless.dll",	"Project Timeless"},
	{"tod",	"hl_i386.so",	"hl.dll",	"Tour of Duty"},
	{"trainhunters",	"th_i386.so",	"th.dll",	"Train Hunters"},
	{"TS",	"ts_i386.so",	"mp.dll",	"The Specialists"},
	{"underworld",	"uw_i386.so",	"uw.dll",	"Underworld Bloodline"},
	{"valve",	"hl_i386.so",	"hl.dll",	"Half-Life Deathmatch"},
	{"vs",	"vs_i386.so",	"mp.dll",	"VampireSlayer"},
	{"wantedhl",	"hl_i386.so",	"wanted.dll",	"Wanted!"},
	{"wasteland",	"whl_linux.so",	"mp.dll",	"Wasteland"},
	{"weapon_wars",	"ww_i386.so",	"hl.dll",	"Weapon Wars"},
	{"wizwars",	"mp_i386.so",	"hl.dll",	"Wizard Wars"},
	{"wormshl",	"wormshl_i586.so",	"wormshl.dll",	"WormsHL"},
